<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

$admin_api = 'Admin';
Route::get('/', function () {
  return view('welcome');
});
Route::any('api/yo', \App\Http\Controllers\YoController::class);
Route::post("api/$admin_api/Upload/image", [\App\Http\Controllers\UploadController::class, 'image']);
Route::post("api/$admin_api/Config/delete", [\App\Http\Controllers\ConfigController::class, 'delete']);
Route::post("api/$admin_api/Config/update", [\App\Http\Controllers\ConfigController::class, 'update']);
Route::post("api/$admin_api/Config/create", [\App\Http\Controllers\ConfigController::class, 'create']);
Route::post("api/$admin_api/Config/list", [\App\Http\Controllers\ConfigController::class, 'list']);
Route::post("api/$admin_api/Auth/update", [\App\Http\Controllers\AuthController::class, 'update']);
Route::post("api/$admin_api/Auth/create", [\App\Http\Controllers\AuthController::class, 'create']);
Route::post("api/$admin_api/Auth/delete", [\App\Http\Controllers\AuthController::class, 'delete']);
Route::post("api/$admin_api/Auth/list", [\App\Http\Controllers\AuthController::class, 'list']);
Route::post("api/$admin_api/Admin/delete", [\App\Http\Controllers\AdminController::class, 'delete']);
Route::post("api/$admin_api/Admin/update", [\App\Http\Controllers\AdminController::class, 'update']);
Route::post("api/$admin_api/Admin/Edit/password", [\App\Http\Controllers\AdminController::class, 'edit_password']);
Route::post("api/$admin_api/Admin/create", [\App\Http\Controllers\AdminController::class, 'create']);
Route::post("api/$admin_api/Admin/list", [\App\Http\Controllers\AdminController::class, 'list']);
Route::post("api/$admin_api/Auth/select", [\App\Http\Controllers\AuthController::class, 'select']);
Route::post("api/$admin_api/AdminAuth/select", [\App\Http\Controllers\AdminAuthController::class, 'select']);
Route::post("api/$admin_api/AdminAuth/list", [\App\Http\Controllers\AdminAuthController::class, 'list']);
Route::post("api/$admin_api/AdminAuth/update", [\App\Http\Controllers\AdminAuthController::class, 'update']);
Route::post("api/$admin_api/AdminAuth/delete", [\App\Http\Controllers\AdminAuthController::class, 'delete']);
Route::post("api/$admin_api/AdminAuth/create", [\App\Http\Controllers\AdminAuthController::class, 'create']);
Route::post("api/$admin_api/Admin/Change/password", [\App\Http\Controllers\AdminController::class, 'change_password']);
Route::post("api/$admin_api/Admin/Change/nickname", [\App\Http\Controllers\AdminController::class, 'change_nickname']);
Route::post("api/$admin_api/Admin/login", [\App\Http\Controllers\AdminController::class, 'login']);
Route::post("api/$admin_api/Admin/status", [\App\Http\Controllers\AdminController::class, 'status']);
Route::post("api/$admin_api/Admin/info", [\App\Http\Controllers\AdminController::class, 'info']);
Route::post("api/$admin_api/Admin/menu", [\App\Http\Controllers\AdminController::class, 'menu']);
Route::post("api/$admin_api/Config/get", [\App\Http\Controllers\ConfigController::class, 'get']);
